Subject: Re: bug#39080: How do language packs work?

From: Julien Lepiller <[email-masked]>
Date: Fri, 10 Jan 2020 23:31:49 -0500

Le 10 janvier 2020 22:54:28 GMT-05:00, Caleb Herbert <[email-masked]> a écrit :
>How do language packs work in Guix?  I would like to translate my
>future
>system to Pennsylvania Dutch.

Hi Caleb,

Thanks for your interest in localisation! I'm unfortunately unable to find a language code for your language. That is necessary for software to recognise it and speak it. I may not have searched correctly, so maybe you can find the correct code? Something like ll_LL (fr_BE for Belgium French) or maybe a code like ll-x-something (fr-x-gallo for a minority language in France that doesn't have its own iso-639 code, although I'm not sure it is technically accepted by software).

Once you have that code, you can use it in the guix system in the locale field of your os declaration. If you are on a foreign distro, then check with them how to set a language (or set $LANG temporarily).

If your question is how to help translating, and not just how to have software speak your language, you'll have to note that we do not translate any of the software we package, apart from guix itself: each package upstream is responsible for their translations.

To help translate guix, please have a look at the translation project: https://translation-project.org

To help translate other projects, you'll have to find what their process is to accept translations. Usually you can find this information by navigating from their home page, which you can find with the command `guix show the-package`.

In either case, there might already be a community of translators for your language. I encourage you to go and find them, they will probably have a lot of info, guidelines that will be very helpful to you.

I hope this answered some of your questions.